{ config, pkgs, ... }:
{
  imports = [
    ./locale_german.nix
    ./agenix.nix
    ./nix.nix
    ./access.nix
  ];

  networking = {
    domain = "de-dus01.obscuresecure.dev";
    enableIPv6 = true;
    tempAddresses = "disabled";
    firewall.enable = true;
    interfaces.ens18.ipv4.addresses = [];
  };

  environment.systemPackages = with pkgs; [
    vim
    git
  ];

  services.qemuGuest.enable = true;
}
