{ config, pkgs, ... }:
{
  nix = {
    package = pkgs.nix;
    settings = {
      trusted-users = [ "@wheel" ];
      experimental-features = [ "nix-command" "flakes" ];
      substituters = [
        "https://nix.cache.zettoit.eu"
        "https://cache.nixos.org/"
      ];
      trusted-public-keys = [
        "nix.cache.zettoit.eu:Z1kmRPDMQYXCC8+jRL0eUtxPDcQQPXcdT734bS+8R8o="
      ];
    };
  };
}
